Home

eth_feeHistory

POST
https://xrp-evm.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns fee market information for a range of blocks. This is typically used by wallets and other tools to estimate appropriate gas prices.

Body

application/json

Returns fee market information for a range of blocks. This is typically used by wallets and other tools to estimate appropriate gas prices.

JSON-RPC request payload.

jsonrpcstringrequired

JSON-RPC protocol version.

methodstringeth_feeHistoryrequired

JSON-RPC method name.

paramsArray<string | integer | Array<number>>required

Parameters:

  1. blockCount — number of blocks in the requested range.
  2. newestBlock — highest block number in the requested range (can be "latest").
  3. rewardPercentiles — list of percentile values to sample priority fees from each block (optional).
Show child attributes

Single positional parameter entry.

Any of

Any Of[0] value.

string

Any Of[1] value.

integer
Array<number>
idintegerrequired

Client request identifier echoed by the server.

Response

200OK

HTTP 200 response for eth_feeHistory. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.